# Class ThreadPoolExecutorUtil

java.lang.Object
picard.util.ThreadPoolExecutorUtil

public class ThreadPoolExecutorUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`ThreadPoolExecutorUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`awaitThreadPoolTermination(String executorName, ThreadPoolExecutorWithExceptions executorService, Duration timeBetweenChecks)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThreadPoolExecutorUtil

public ThreadPoolExecutorUtil()

## Method Details

### awaitThreadPoolTermination

public static void awaitThreadPoolTermination(String executorName, ThreadPoolExecutorWithExceptions executorService, Duration timeBetweenChecks)